# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.88"
name = "har"
version = "0.9.0"
authors = ["Sebastian Mandrean <sebastian.mandrean@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A HTTP Archive format (HAR) serialization & deserialization library."
documentation = "https://docs.rs/har"
readme = "README.md"
keywords = [
    "har",
    "serialization",
    "deserialization",
    "json",
    "yaml",
]
license = "MIT"
repository = "https://github.com/mandrean/har-rs"

[package.metadata.docs.rs]
features = ["yaml"]
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[features]
default = []
yaml = ["dep:yaml_serde"]

[lib]
name = "har"
path = "src/lib.rs"

[[example]]
name = "printer"
path = "examples/printer.rs"

[[test]]
name = "regression"
path = "tests/regression.rs"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.149"

[dependencies.serde_with]
version = "3.18.0"

[dependencies.thiserror]
version = "2.0.18"

[dependencies.yaml_serde]
version = "0.10.4"
optional = true
